#!/bin/sh

s=0
test -z "$(mount | grep '/mnt/USB')" && s=0 || s=1
if [ "$s" == "0" ] ; then 
	if [ -L "/dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0-part1" ] ; then 
		dev=$(ls -l /dev/disk/by-path/pci-0000\:00\:1d.7-usb-0\:2\:1.0-scsi-0\:0\:0\:0-part1 | sed 's/^.*-> //g' | sed 's/\.\.\/\.\./\/dev/g')
		echo "!!USB device has be inserted on ($dev)!!"
		mkdir -p /mnt/USB
		mount $dev /mnt/USB
		mount | grep '/mnt/USB'
	fi
fi

if [ -f "/mnt/USB/upgradefw.ini" ] ; then
	cp /mnt/USB/upgradefw.ini /tmp/upgradefw.ini
	dos2unix /tmp/upgradefw.ini
	tar -zx -C /tmp -f /mnt/USB/$(cat /tmp/upgradefw.ini | grep 'filename' | sed 's/filename=//g') userdisk/led_mp
	tar -zx -C /tmp -f /mnt/USB/$(cat /tmp/upgradefw.ini | grep 'filename' | sed 's/filename=//g') userdisk/filesystem_root/lib/libmoxalib.so
	tar -zx -C /tmp -f /mnt/USB/$(cat /tmp/upgradefw.ini | grep 'filename' | sed 's/filename=//g') userdisk/modules/moxa_device_dio.ko
	test -c /dev/dio || /bin/mknod /dev/dio c 10 104
	test -z "$(lsmod | grep 'moxa_device_dio')" || /sbin/rmmod moxa_device_dio
	/sbin/insmod /tmp/userdisk/modules/moxa_device_dio.ko
	cp /tmp/userdisk/filesystem_root/lib/libmoxalib.so /lib/
	/tmp/userdisk/led_mp --ALLBLINK 200 &
	sleep 3
	/usr/sbin/upgradefw $(cat /tmp/upgradefw.ini | grep 'argument' | sed 's/argument=//g') /mnt/USB/$(cat /tmp/upgradefw.ini | grep 'filename' | sed 's/filename=//g')
	if [ "$?" == "0" ] ; then 
		while [ 1 ] 
		do
			sleep 1
		done
	else
		killall /tmp/userdisk/led_mp
		/tmp/userdisk/led_mp --ALLOFF
	fi
fi
exit 0

