#!/bin/sh

if [ "$(ps -ef | grep -v grep | grep -c usbautomount.sh)" -gt "2" ] ; then
	echo "!!usbautomount.sh is running !!"
	exit 0
fi

s=0
while [ true ]
do
	test -z "$(mount | grep '/mnt/USB')" && s=0 || s=1
	if [ -L "/dev/disk/by-path/pci-0000:00:1d.7-usb-0:2:1.0-scsi-0:0:0:0-part1" ] ; then 
		if [ "$s" == "0" ] ; then 
			dev=$(ls -l /dev/disk/by-path/pci-0000\:00\:1d.7-usb-0\:2\:1.0-scsi-0\:0\:0\:0-part1 | sed 's/^.*-> //g' | sed 's/\.\.\/\.\./\/dev/g')
			echo "!!USB device has be inserted on ($dev)!!"
			mkdir -p /mnt/USB
			mount $dev /mnt/USB
			mount | grep '/mnt/USB'
			s=1
		fi
	else
		if [ "$s" != "0" ] ; then 
			echo "!!USB device has be removed!!"
			umount /mnt/USB
			s=0
		fi
	fi
	sleep 1
done
exit 0
