#!/bin/sh

rm -rf /userdisk/env.ini
echo [CONFIG] > /userdisk/env.ini
echo bootdelay=3 >> /userdisk/env.ini
echo baudrate=115200 >> /userdisk/env.ini
echo ipaddr=192.168.127.100 >> /userdisk/env.ini
cat /etc/udev/rules.d/70-persistent-net.rules | grep 'eth0' | sed 's/^.*ATTR{address}=="/ethaddr=/g' | sed 's/",.*$//g' >> /userdisk/env.ini
echo netmask=255.255.255.0 >> /userdisk/env.ini
echo serverip=192.168.127.98 >> /userdisk/env.ini
echo mp_flag=0x0000 >> /userdisk/env.ini
echo burntime=20 >> /userdisk/env.ini
echo boot_ctr=0 >> /userdisk/env.ini
dmidecode | grep 'Handle 0x0002' -A 6 | grep 'Serial Number:' | sed 's/^.*Serial Number:/ser_num=/g' >> /userdisk/env.ini
echo bnverion=1.1 >> /userdisk/env.ini
echo dut_id=0.0.0.0.0.0 >> /userdisk/env.ini
echo fw_rcvr=1 >> /userdisk/env.ini
chmod 700 /userdisk/env.ini

