var BaseValidStr = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
var ExtraValidStr = ' !^*()_{}[]|:./?-';
var NumberValidStr = '0123456789';
var ExtraValidUsernameStr = '_.';
var ExtraValidMailUsernameStr = '!@#$%^&*()+_-=.{}[]|:;<>,?/~`';
var ExtraValidPasswordStr = ' !^_-~`|';
var ExtraValidMailAddressStr = '@._-';
var ExtraValidHostAddressStr = '._-';
var ExtraValidFolderStr = ':\\/_-';
var BasicCustCamStr = 'abcdefABCDEF0123456789';
var ExtraCustCamStr = ',';

var ExtraCGIParameterStr = '_-%+&=';
var ExtraUrlStr = '._-/:';


function ismaxlength(obj){
	var mlength=obj.getAttribute? parseInt(obj.getAttribute("maxlength")) : ""
	if (obj.getAttribute && obj.value.length > mlength)
		obj.value=obj.value.substring(0,mlength)
}

function MM_openBrWindow(theURL,winName,features) {
  var win = window.open(theURL,winName,features);
  win.focus();
}


function selectTheRadioButton(radioName, radioNum, targetVal)
{
	for (i=0; i<radioNum; i++)
	{
		if (radioName[i].value == targetVal)
		{
			//radioName[i].defaultChecked = true;
			radioName[i].checked = true;
		}
	}
}

function saveInputValue(inputName, isChecked)
{
	if (isChecked)	inputName.value = "1";
	else			inputName.value = "0";
}

function selectTheDropdownEnt(selObj, targetVal) 
{
	for (i = 0; i < selObj.length; i ++)
	{
		if (selObj.options[i].value == targetVal)
		{
			selObj.options[i].selected = true;
			break;
		}
	}
}

function updateDynSelOpt(x, aList, MaxNum)
{
	var cnt;

	cnt = 0;
	for (i = 0; i < MaxNum; i ++) {
		if (aList[i][0])	cnt ++;
	}

	if (cnt != 0) {
		x.length = cnt;
		j = 0;
		for (i = 0; i < MaxNum; i ++) {
			if (aList[i][0]) {
				x.options[j].text = aList[i][1];
				x.options[j].value = aList[i][2];
				j ++;
			}
		}
	}
	return cnt;
}
////////////////////For Check Field
function addstr(input_msg)
{
	var last_msg = "";
	var str_location;
	var temp_str_1 = "";
	var temp_str_2 = "";
	var str_num = 0;
	temp_str_1 = addstr.arguments[0];
	while(1)
	{
		str_location = temp_str_1.indexOf("%s");
		if(str_location >= 0)
		{
			str_num++;
			temp_str_2 = temp_str_1.substring(0,str_location);
			last_msg += temp_str_2 + addstr.arguments[str_num];
			temp_str_1 = temp_str_1.substring(str_location+2,temp_str_1.length);
			continue;
		}
		if(str_location < 0)
		{
			last_msg += temp_str_1;
			break;
		}
	}
	return last_msg;
}

function checkValid(text_input_field, field_name, BaseValid_Str,ExtraValid_Str)
{
	var error_msg= "";
	var AllValidStr = BaseValid_Str+ExtraValid_Str;
	var size = text_input_field.value.length;
	var str = text_input_field.value;

 	for (var i=0; i < size; i++)
  	{
    	if (!(AllValidStr.indexOf(str.charAt(i)) >= 0))
    	{
			error_msg = addstr(msg_invalid,field_name,AllValidStr);
			break;
    	}
  	}
  	return error_msg;
}


function checkIsMulticast(instr){
	var sub;
	var iValue;
	var iCnt = 0;
	var temp = "";
	
    
    sub = instr.split(".", 4);    

	if((parseInt(sub[0]) == 224) && (parseInt(sub[1]) == 0) && (parseInt(sub[2]) == 0))
	{
		return 0;
	}
	
	iValue = parseInt(sub[0]);
	
    if((sub[0].length < 1) || (iValue > 239) || (iValue < 224))
    {
		return 0;
   	}
   	
   	iValue = parseInt(sub[1]);
    if((sub[1].length < 1) || (iValue > 255) || (iValue < 0))
    {
		return 0;
   	}	
	iValue = parseInt(sub[2]);
    if((sub[2].length < 1) || (iValue > 255) || (iValue < 0))
    {
		return 0;
   	}	
   	
	iValue = parseInt(sub[3]);
    if((sub[3].length < 1) || (iValue > 255) || (iValue < 0))
    {
		return 0;
   	}	
   return 1;
}



//type 
//	1: IP Address
//	2: Net Mask

function checkValidIP(instr, type){
	var sub;
	var iValue;
	var iCnt = 0;
	var temp = "";
	
	if(instr.charAt(0) == '.'){
		return 0;
	}
	
	for (var i = 0; i < instr.length; i++){
        c = instr.charAt(i);
        if(!(c == '.' || ((c >= '0') && (c <= '9'))))
        {
//          alert("Please enter number only.");
          return 0;
        }
        
        if(c == '.')
        {
          iCnt++;
        }
    }
    
    if(iCnt != 3)
    {	
		return 0;
    }
    
    sub = instr.split(".", 4);    
	iValue = parseInt(sub[0]);
	
	if(type == 0)
	{
	    if((sub[0].length < 1) || (iValue > 254) || (iValue < 1))
	    {
			return 0;
	   	}
	}
	else
	{
	    if((sub[0].length < 1) || (iValue > 255) || (iValue < 0))
	    {
			return 0;
	   	}
    }
   	
   	iValue = parseInt(sub[1]);
    if((sub[1].length < 1) || (iValue > 255) || (iValue < 0))
    {
		return 0;
   	}	
	iValue = parseInt(sub[2]);
    if((sub[2].length < 1) || (iValue > 255) || (iValue < 0))
    {
		return 0;
   	}	
   	
   	if(type == 0)
   	{
		iValue = parseInt(sub[3]);
	    if((sub[3].length < 1) || (iValue > 254) || (iValue < 1))
	    {
			return 0;
	   	}
	}
	else
	{
		iValue = parseInt(sub[3]);
	    if((sub[3].length < 1) || (iValue > 255) || (iValue < 0))
	    {
			return 0;
	   	}	
    }   	
   return 1;
}


function isDigit(ch)
{
	var digit= "0123456789";

	if (!(digit.indexOf(ch) >= 0))return 0
	return 1;
}

function CheckHostAddr(hoststr, strlength)
{
	var AllValidStr = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789-";
	var digit= "0123456789";
	var i;
	if((hoststr.charAt(0) == '.') || (hoststr.charAt(strlength-1) == '.')){
		return 0;
	}

	if(isDigit(hoststr.charAt(0))) 
		if(checkValidIP(hoststr, 0)){
			return checkIsMulticast(hoststr)?0:1;
		}else{
			return 0;
		}
	else{
		var reset=1;
		for(i=0; i<strlength; i++){
		
			if(hoststr.charAt(i) == '.'){
				reset++;
				continue;
			}
			if((reset > 1) || ((reset==1) && (isDigit(hoststr.charAt(i)) || (hoststr.charAt(i)=='-')))) return 0;
			reset = 0;

		    	if (!(AllValidStr.indexOf(hoststr.charAt(i)) >= 0))return 0

		}
	}
	return 1;
}

function checkValidHostAddr(text_input_field, field_name)
{
	var error_msg= "";
	var size = text_input_field.value.length;
	var str = text_input_field.value;


	if(size==0)return error_msg;
	if (!CheckHostAddr(str, size)){
		error_msg = addstr("Host Name Format Error...",field_name);
	}
  	return error_msg;
}

function checkValidEmailAddr(text_input_field, field_name, BaseValid_Str,ExtraValid_Str, allowmulti)
{
	var iCnt=0;
	var sub;
	var error_msg= "";
	var size = text_input_field.value.length;
	var str = text_input_field.value;
	var AllValidStr = BaseValid_Str+ExtraValid_Str;
	var name,host;

	if(size==0)return error_msg;

	for (var i = 0; i < str.length; i++){
        c = str.charAt(i);
        
        if(c == '@')
        {
          iCnt++;
        }
    }
    
    if(iCnt != 1){	
    	error_msg = "Invalid email address.";
		return error_msg;
    }

    sub = str.split("@", 2);    
	name = sub[0];
	host = sub[1];
	if((name.length == 0) || (host.length == 0)){
		error_msg = addstr("Invalid email address.",field_name);
		return error_msg;

	}

	if (!CheckHostAddr(host, host.length)){
		error_msg = addstr("Invalid email address.",field_name);
		return error_msg;
	}

 	for (var i=0; i < name.length; i++)
  	{
    	if (!(AllValidStr.indexOf(name.charAt(i)) >= 0))
    	{
			error_msg = addstr(msg_invalid,field_name,AllValidStr);
			break;
    	}
  	}
	return error_msg;

}

// For debug
function showMe(mine, target)
{
	mine.value = target.value;
}


function getStyleObject(objectId) {
    // cross-browser function to get an object's style object given its id
    if(document.getElementById && document.getElementById(objectId)) {
	// W3C DOM
	return document.getElementById(objectId).style;
    } else if (document.all && document.all(objectId)) {
	// MSIE 4 DOM
	return document.all(objectId).style;
    } else if (document.layers && document.layers[objectId]) {
	// NN 4 DOM.. note: this won't find nested layers
	return document.layers[objectId];
    } else {
	return false;
    }
} // getStyleObject


function changeObjectVisibility(objectId, newVisibility) {
    // get a reference to the cross-browser style object and make sure the object exists
    var styleObject = getStyleObject(objectId);
    if(styleObject) {
	styleObject.visibility = newVisibility;
	return true;
    } else {
	// we couldn't find the object, so we can't change its visibility
	return false;
    }
} // changeObjectVisibilit


function changeObjectDisable(objectId, newVisibility) {
    // get a reference to the cross-browser style object and make sure the object exists
    var styleObject = getStyleObject(objectId);
    if(styleObject) {
	alert("aaa"+newVisibility);	
	styleObject.disabled = newVisibility;
	return true;
    } else {
	alert("bbb");	
	// we couldn't find the object, so we can't change its visibility
	return false;
    }
} // changeObjectVisibilit
