#!/bin/sh

/bin/echo "========== start boot.sh =========="

/etc/init.d/samba stop
/etc/init.d/nfs-kernel-server stop
/bin/touch /forcefsck

/bin/echo "========== PATH =========="
export PATH=$PATH:/userdisk:/userdisk/sbin
/bin/echo $PATH

/bin/echo "========== insmod mxser =========="
/usr/bin/test -z "$(/sbin/lsmod | grep 'mxser')" || /sbin/rmmod mxser
/sbin/insmod /userdisk/modules/mxser.ko

/bin/echo "========== insmod moxa_device_dio =========="
/usr/bin/test -c /dev/dio || /bin/mknod /dev/dio c 10 104
/usr/bin/test -z "$(/sbin/lsmod | grep 'moxa_device_dio')" || /sbin/rmmod moxa_device_dio
/sbin/insmod /userdisk/modules/moxa_device_dio.ko

/bin/echo "========== insmod puller =========="
/usr/bin/test -c /dev/puller || /bin/mknod /dev/puller c 247 0
/usr/bin/test -z "$(/sbin/lsmod | grep 'puller')" || /sbin/rmmod puller
/sbin/insmod /userdisk/modules/puller.ko

/bin/echo "========== hostname =========="
HOSTNAME=$(/usr/sbin/dmidecode | grep 'Handle 0x0002' -A 6 | grep 'Product Name:' | sed 's/^.*Product Name: //g')
/bin/echo "$HOSTNAME" > /etc/hostname
/bin/echo "127.0.0.1 localhost" > /etc/hosts
/bin/echo "127.0.0.1 $HOSTNAME" >> /etc/hosts
/bin/echo "127.0.1.1 $HOSTNAME.workgroup $HOSTNAME.workgroup" >> /etc/hosts
/bin/cat /etc/hostname

/bin/echo "========== useradd.sh =========="
/usr/sbin/useradd.sh

#/bin/echo "========== usbautomount.sh =========="
#/usr/sbin/usbautomount.sh &

/bin/echo "========== Leading =========="
/userdisk/Leading

/bin/echo "========== end boot.sh =========="

#=============  FOR TEST ONLY =============
#/bin/echo ""
#/bin/echo "!!!! TEST POWER-OFF !!!!"
#/bin/echo ""
#/userdisk/test_shutdown.sh 300
#=====================================

exit 0

