#!/bin/sh

echo $0
if [ -f "/usr/share/fwrecovery/fwupgrade.log" ] ; then 
	if [ ! -z "$(cat /usr/share/fwrecovery/fwupgrade.log | grep 'Firmware Update End')" ] ; then
		echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
		echo ""
		echo "Firmware Upgrade Successful!!"
		echo ""
		echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"

		test -e /usr/share/fwrecovery/fwupgrade.log && rm /usr/share/fwrecovery/fwupgrade.log
		test -e /usr/share/fwrecovery/fwupgradefail.log && rm /usr/share/fwrecovery/fwupgradefail.log
	else
		echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
		echo ""
		echo "Firmware Upgrade Failed!! Do Firmware Recovery!!" | tee -a /usr/share/fwrecovery/fwupgrade.log
		echo ""
		echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"

		mv /usr/share/fwrecovery/fwupgrade.log /usr/share/fwrecovery/fwupgradefail.log
		rm -rf /userdisk/*
		tar -zx -f /usr/share/fwrecovery/fwrecovery.tar.gz -C /
		reboot
	fi
fi
exit 0

