<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Style-Type" content="text/css">
<link href="/scripts/devsvr.css" rel="stylesheet" type="text/css">
<link href="/scripts/default.css" rel="stylesheet" type="text/css">
<script language="JavaScript" type="text/javascript" src="/scripts/common.js"></script>
<script language="JavaScript" type="text/javascript" src="/scripts/message.js"></script>	
<script type="text/javascript">
<!--

function DisplayWarning(instr, warning)
{
	alert(warning);
	instr.focus();
	instr.select();
}

function CheckDurationTimeValue(instr, warning)
{
	var i, c, vTimeH, vTimeM;
	if(instr.value.length != 5)
	{
		DisplayWarning(instr, warning);
		return 0;
	}
	for(i = 0; i < instr.value.length; i++)
	{
		c = instr.value.charAt(i);
		if((i == 2) || (i==5))
		{
			if(c != ':')
			{
				DisplayWarning(instr, warning);
				return 0;
			}
		}
		else
		{
			if( !((instr.value.charAt(i) >= '0') && (instr.value.charAt(i) <= '9')) )
			{
				DisplayWarning(instr, warning);
					return 0;
			}
		}
	}
	vTimeH = (instr.value.charAt(0) - '0') * 10 + (instr.value.charAt(1) - '0');
	if((vTimeH < 0) || (vTimeH >= 24))
	{
		DisplayWarning(instr, warning);
		return 0;
	}
	vTimeM = (instr.value.charAt(3) - '0') * 10 + (instr.value.charAt(4) - '0');
	if((vTimeM < 0) || (vTimeM >= 60))
	{
		DisplayWarning(instr, warning);
			return 0;
	}
	if((vTimeH == 0) && (vTimeM == 0))
	{
		DisplayWarning(instr, warning);
			return 0;
	}
	return 1;
}
		
function CheckTimeValue(instr, warning)
{
	var i, c, vTime;
	if(instr.value.length != 5)
	{
		DisplayWarning(instr, warning);
		return 0;
	}
	for(i = 0; i < instr.value.length; i++)
	{
		c = instr.value.charAt(i);
		if((i == 2) || (i==5))
		{
			if(c != ':')
			{
				DisplayWarning(instr, warning);
					return 0;
			}
		}
		else
		{
			if( !((instr.value.charAt(i) >= '0') && (instr.value.charAt(i) <= '9')) )
			{
				DisplayWarning(instr, warning);
					return 0;
			}
		}
	}
	vTime = (instr.value.charAt(0) - '0') * 10 + (instr.value.charAt(1) - '0');
	if((vTime < 0) || (vTime >= 24))
	{
		DisplayWarning(instr, warning);
		return 0;
	}
	vTime = (instr.value.charAt(3) - '0') * 10 + (instr.value.charAt(4) - '0');
	if((vTime < 0) || (vTime >= 60))
	{
		DisplayWarning(instr, warning);
		return 0;
	}
	return 1;
}

function CheckEnable()
{
	var sform = document.recschedule_modify_form;
	if(sform.enable_ck.checked){
		sform.enable.value = 1;
	}else{
		sform.enable.value = 0;
	}
}

function ChangeDay()
{
	var sform = document.recschedule_modify_form;
	var i = 0;
	var obj;

	sform.dayofweek.value = 0;
	for(i = 0; i < 7; i++){
		obj = document.getElementById("dayofweek_" + i);
		if(obj.checked == 1){
			sform.dayofweek.value = parseInt(sform.dayofweek.value, 10) + parseInt(obj.value, 10);
		}
	}
}

function ChangeDayAll()
{
	var sform = document.recschedule_modify_form;
	var i = 0;
	var obj;
	for(i = 0; i < 7; i++){
		obj = document.getElementById("dayofweek_" + i);
		obj.checked = sform.dayofweek_all.checked;
	}
}

function CheckDay()
{
	var sform = document.recschedule_modify_form;
	var i = 0;
	var obj;
	for(i = 0; i < 7; i++){
		obj = document.getElementById("dayofweek_" + i);
		if(((sform.dayofweek.value) & (obj.value)) != 0){
			obj.checked = 1;
		}
	}
}

function RecordTypeChk()
{
	var sform = document.recschedule_modify_form;
	if(sform.recordtype.value == 0)
	{
		sform.trigger.disabled = true;
		sform.stop.disabled = true;
		sform.duration.disabled = true;
	}else
	if(	(sform.recordtype.value == 1) || 
		(sform.recordtype.value == 2) || 
		(sform.recordtype.value == 3) || 
		(sform.recordtype.value == 4) || 
		(sform.recordtype.value == 5) || 
		(sform.recordtype.value == 6))
	{
		sform.trigger.disabled = false;
		sform.stop.disabled = false;
		TriggerChk();
	}else 
	if(	(sform.recordtype.value == 7) || 
		(sform.recordtype.value == 8))
	{
		sform.trigger.disabled = true;
		sform.stop.disabled = false;
		StopChk();
	}
}

function TriggerChk(){
	var sform = document.recschedule_modify_form;
	for(var i = 0; i < sform.stop.options.length; i++){
		if(sform.stop.options[i].value == sform.trigger.value){
			sform.stop.options[i].disabled = true;
			if(sform.stop.options[i].selected){
				sform.stop.value = 5;
			}
		}else{
			sform.stop.options[i].disabled = false;
		}
	}
	StopChk();
}

function StopChk(){
	var sform = document.recschedule_modify_form;
	if(	(sform.recordtype.value == 1) || 
		(sform.recordtype.value == 2) || 
		(sform.recordtype.value == 3) || 
		(sform.recordtype.value == 4) || 
		(sform.recordtype.value == 5) || 
		(sform.recordtype.value == 6))
	{
		if(sform.trigger.value == 1){ //High trigger
			sform.stop.options[0].disabled = true; //High stop
			sform.stop.options[2].disabled = true; //Rising stop
			sform.stop.options[3].disabled = true; //Falling stop
			sform.stop.options[5].disabled = true; //Duration stop
			if((sform.stop.value != 2) && (sform.stop.value != 5)){
				sform.stop.value = 5; //Schedule stop
			}
		}else 
		if(sform.trigger.value == 2){ //Low trigger
			sform.stop.options[1].disabled = true; //Low stop
			sform.stop.options[2].disabled = true; //Rising stop
			sform.stop.options[3].disabled = true; //Falling stop
			sform.stop.options[5].disabled = true; //Duration stop
			if((sform.stop.value != 1) && (sform.stop.value != 5)){
				sform.stop.value = 5; //Schedule stop
			}
		}else 
		if(sform.trigger.value == 3){ //Rising trigger
			sform.stop.options[0].disabled = true; //High stop
			sform.stop.options[1].disabled = true; //Low stop
			sform.stop.options[2].disabled = true; //Rising stop
			if((sform.stop.value != 4) && (sform.stop.value != 5) && (sform.stop.value != 6)){
				sform.stop.value = 5; //Schedule stop
			}
		}else 
		if(sform.trigger.value == 4){ //Falling trigger
			sform.stop.options[0].disabled = true; //High stop
			sform.stop.options[1].disabled = true; //Low stop
			sform.stop.options[3].disabled = true; //Falling stop
			if((sform.stop.value != 3) && (sform.stop.value != 5) && (sform.stop.value != 6)){
				sform.stop.value = 5; //Schedule stop
			}
		}		
	}else 
	if((sform.recordtype.value == 7) || (sform.recordtype.value == 8))
	{
		sform.stop.options[0].disabled = true; //High stop
		sform.stop.options[1].disabled = true; //Low stop
		sform.stop.options[2].disabled = true; //Rising stop
		sform.stop.options[3].disabled = true; //Falling stop
		if(sform.stop.value < 5){
			sform.stop.value = 5; //Schedule stop
		}
	}
	if(sform.stop.value == 6){ //Duration stop
		sform.duration.disabled = false;
		if((sform.duration.value < 15) || (sform.duration.value > 600)) sform.duration.value = 15;
	}else{
		sform.duration.disabled = true;
	}
}

function DurationChk(){
	var sform = document.recschedule_modify_form;
}

function ModifyRecSchedule()
{
	var sform = document.recschedule_modify_form;
	ChangeDay();
	if(sform.channel.value == "")
	{
		DisplayWarning(sform.channel_1, "Invalid Channel value.");
		return -1;
	}
	if(sform.dayofweek.value == 0)
	{
		DisplayWarning(sform.dayofweek_0, "Invalid Day value.");
		return -1;
	}
	if(CheckTimeValue(sform.starttime,"Invalid Start Time.") == 0)
	{
		return -1;
	}
	if(CheckTimeValue(sform.endtime,"Invalid End Time.") == 0)
	{
		return -1;
	}
	if(	(sform.recordtype.value == 1) || 
		(sform.recordtype.value == 2) || 
		(sform.recordtype.value == 3) || 
		(sform.recordtype.value == 4) || 
		(sform.recordtype.value == 5) || 
		(sform.recordtype.value == 6))
	{
		if(	(sform.stop.value == sform.trigger.value) || 
			((sform.stop.value == 1) && (sform.trigger.value == 3)) || 
			((sform.stop.value == 2) && (sform.trigger.value == 4)) || 
			((sform.stop.value == 3) && (sform.trigger.value == 1)) || 
			((sform.stop.value == 4) && (sform.trigger.value == 2))){
			DisplayWarning(sform.trigger, "Invalid trigger & stop condition.");
			return -1;
		}
		if((!sform.duration.disabled) && ((sform.duration.value < 15) || (sform.duration.value > 600)))
		{
			DisplayWarning(sform.duration, "Invalid Duration Time(15~600).");
			return -1;
		}
	}else{
		sform.trigger.disabled = true;
		sform.trigger.value = 0;
	}
	sform.submit();
	window.opener.document.frames["ScheduleList"].location.href= "/moxa-cgi/getrecschedulelist.cgi?channel=" + window.opener.document.RecScheduleForm.channel.value;
	window.close();
}

function InitPage()
{
	var sform = document.recschedule_modify_form;
	
	sform.channel_show.value = <%getrecscheduleitembyurl("channel");%>;
	sform.channel.value = <%getrecscheduleitembyurl("channel");%>;
	sform.item.value = <%getrecscheduleitembyurl("item");%>;
	sform.id.value = <%getrecscheduleitembyurl("id");%>;
	
	sform.enable.value = <%getrecscheduleitembyurl("enable");%>;
	if(sform.enable.value == 1) sform.enable_ck.checked = true;
	else sform.enable_ck.checked = false;
	
	sform.dayofweek.value = <%getrecscheduleitembyurl("dayofweek");%>;
	CheckDay();
	
	sform.starttime.value = "<%getrecscheduleitembyurl("starttime");%>";
	sform.endtime.value = "<%getrecscheduleitembyurl("endtime");%>";
	sform.recordtype.value = <%getrecscheduleitembyurl("recordtype");%>;
	
	if((sform.recordtype.value >= 1) && (sform.recordtype.value <= 6)){
		sform.trigger.value = <%getrecscheduleitembyurl("trigger");%>;
		sform.stop.value = <%getrecscheduleitembyurl("stop");%>;
	}else 
	if((sform.recordtype.value == 7) || (sform.recordtype.value == 8)){
		sform.stop.options[0].disabled = true;
		sform.stop.options[1].disabled = true;
		sform.stop.options[2].disabled = true;
		sform.stop.options[3].disabled = true;
		sform.trigger.value = 1;
		sform.stop.value = <%getrecscheduleitembyurl("stop");%>;
	}else{
		sform.trigger.value = 1;
		sform.stop.value = 5;
	}
	
	if(sform.stop.value == 6){
		sform.duration.value = "<%getrecscheduleitembyurl("duration");%>";
	}else{
		sform.duration.value = 15;
	}
	
	RecordTypeChk();
}

//-->
</script>
</head>

<body bgcolor=#ffffff onload="InitPage()">
<div align="left">
	<font size="5" face="Arial, Helvetica, sans-serif, Marlett" color="#007C60">
	<b>Modify Weekly Record Schedule Setting</b></font>
</div>

<form method="post" name="recschedule_modify_form" action="/moxa-cgi/modifyrecschedule.cgi">
<div align="left">
<table width="100%" border="0">
	<tr>
		<td width="2%"></td>
		<td width="25%" colspan="2"><font size="3"><b>Weekly Schedule</b></font></td>
		<td><input type="hidden" name="item" value="0"></td>
		<td><input type="hidden" name="id" value="0"></td>
	</tr>

	<tr>
		<td width="2%"></td>
		<td align="right"><input type="checkbox" name="enable_ck" value="1" onClick="CheckEnable()" checked>
			<input type="hidden" name="enable" value="1"></td>
		<td width="25%">Enable</td>
		<td></td>
	</tr>

	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Channel :</td>
		<td><input type="text" name="channel_show" size="3" maxlength="3" value="0" disabled="disabled">
			<input type="hidden" name="channel" value="0"></td>
	</tr>

	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Day :</td>
		<td>
			<input type="hidden" name="dayofweek" value="0">
			<input type="checkbox" id="dayofweek_0" value=1 onClick="ChangeDay()">SUN 
			<input type="checkbox" id="dayofweek_1" value=2 onClick="ChangeDay()">MON 
			<input type="checkbox" id="dayofweek_2" value=4 onClick="ChangeDay()">TUE 
			<input type="checkbox" id="dayofweek_3" value=8 onClick="ChangeDay()">WED 
			<input type="checkbox" id="dayofweek_4" value=16 onClick="ChangeDay()">THU 
			<input type="checkbox" id="dayofweek_5" value=32 onClick="ChangeDay()">FRI 
			<input type="checkbox" id="dayofweek_6" value=64 onClick="ChangeDay()">SAT 
			<input type="checkbox" id="dayofweek_all" onClick="ChangeDayAll()">All 
		</td>
	</tr>
	
	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Start Time :</td>
		<td><input type="text" name="starttime" size="5" maxlength="5" value="00:00"> [hh:mm]</td>
	</tr>

	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">End Time :</td>
		<td><input type="text" name="endtime" size="5" maxlength="5" value="23:59"> [hh:mm]</td>
	</tr>
	
	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Record Type :</td>
		<td>
			<select onchange="RecordTypeChk()" name="recordtype">
			<option value="0">Always Record</option>
			<option value="1">Record by DI 1 Event</option>
			<option value="2">Record by DI 2 Event</option>
			<option value="3">Record by DI 3 Event</option>
			<option value="4">Record by DI 4 Event</option>
			<option value="5">Record by DI 5 Event</option>
			<option value="6">Record by DI 6 Event</option>
			<option value="7">Record by CGI Event</option>
			<option value="8">Record by Modbus/TCP Event</option>
			</select>
		</td>
	</tr>
</table>

<table width="100%" border="0">
	<tr>
		<td width="2%"></td>
		<td width="25%" colspan="2"><font size="3"><b>Event Condition</b></font></td>
		<td></td>
	</tr>
	
	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Trigger :</td>
		<td>
			<select onchange="TriggerChk()" name="trigger" disabled="disabled">
			<option value="1">High</option>
			<option value="2">Low</option>
			<option value="3">Rising</option>
			<option value="4">Falling</option>
			</select>
		</td>
	</tr>
	
	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Stop :</td>
		<td>
			<select onchange="StopChk()" name="stop" disabled="disabled">
			<option value="1">High</option>
			<option value="2">Low</option>
			<option value="3">Rising</option>
			<option value="4">Falling</option>
			<option value="5">Schedule</option>
			<option value="6">Duration</option>
			</select>
		</td>
	</tr>
	
	<tr>
		<td width="2%"></td>
		<td width="2%"></td>
		<td width="25%">Duration :</td>
		<td><input type="text" name="duration" size="5" maxlength="5" disabled="disabled"> [second](15~600)</td>
	</tr>
</table>

<table width="100%" border="0">
	<tr>
		<td width="2%"></td>
		<td width="25%"><img border="0" src="/pic/ok.gif" onClick="ModifyRecSchedule()" onMouseover="document.body.style.cursor='hand'" onMouseout="document.body.style.cursor='default'"></td>
		<td><input type="hidden" name="returnpage" value="recschedule_modify.asp"></td>
	</tr>
</table>
</div>
</form>
</body> 
</html>
